summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristophe Lyon <christophe.lyon@linaro.org>2020-08-05 15:08:01 +0000
committerChristophe Lyon <christophe.lyon@linaro.org>2020-08-05 15:08:01 +0000
commit19eaa0bad01990d50f2f1c2ca82d671dfe0d0da2 (patch)
treebbb7ef058b6fe3abe1f77a1ac066e79d56dd7162
parentea34b06674dd6aa7473cbb6dd8905a1658a4c5bd (diff)
downloadjenkins-scripts-bmk-stm32.tar.gz
tcwg-benchmark-bare.sh: Add support for hw_tag and results_idbmk-stm32
Change-Id: I7a4246770fac9e1dfdee54fd6e7494881af83929
-rwxr-xr-xtcwg-benchmark-bare.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/tcwg-benchmark-bare.sh b/tcwg-benchmark-bare.sh
index 80e9e58c..69fa8787 100755
--- a/tcwg-benchmark-bare.sh
+++ b/tcwg-benchmark-bare.sh
@@ -207,6 +207,22 @@ case "$sysroot" in
;;
esac
+results_id=$(echo "$results_id" \
+ | sed -e "s/<build_num>/$BUILD_NUMBER/g" \
+ -e "s/@build_num@/$BUILD_NUMBER/g")
+hw_tag="${results_id%%/*}"
+if echo "$results_id" | grep -q "\.\."; then
+ echo "ERROR: results_id should not escape /home/tcwg-benchmark/results* hierarchy; do not use \"..\""
+ exit 1
+fi
+case "$hw_tag" in
+ STM32*) ;;
+ *)
+ echo "ERROR: results_id does not start with a valid hw_tag"
+ exit 1
+ ;;
+esac
+
# vars are from run-container.sh sourced above
# shellcheck disable=SC2154
case "$bench_list" in
@@ -217,6 +233,8 @@ case "$bench_list" in
--cflags "$cflags" \
--ldflags "$ldflags" \
--forceinstall "${forceinstall}" \
+ --hw_tag "$hw_tag" \
+ --resultsdest "bkp-01.tcwglab:/home/tcwg-benchmark/results-${results_id}/${NODE_NAME}" \
--verbose true
;;
esac